{% extends 'base/admin.html' %}

{% block title %}
PRODUCT VIEW
{% endblock title %}

{% block content %}
<br> 
<center><h2>Productos</h2></center>
<br> 
<hr>
    <a href="{% url 'core:new_product' %}" class="btn btn-outline-success form-control">Crear nuevo producto</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>ID</th>
            <th>Nombre del producto</th>
            <th>Campaña</th>
            <th>Descripción</th>
            <th>Status</th>
            <th>Cantidad</th>
            <th></th>
            <th>Acciones</th>
            <th></th>
        </thead>
        <tbody>
            {% for product in products %}
                <tr>
                    <td>{{ product.id }}</td>
                    <td>{{ product.name }}</td>
                    <td>{{ product.campaign }}</td>
                    <td>{{ product.description }}</td>
                    <td>{{ product.status }}</td>
                    <td>{{ product.stock }}</td>                    
                    <td><a href="{% url 'core:recover_product' product.id %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'core:update_product' product.id %}" class="btn btn-outline-warning"> Actualizar </a></td>
                    <td><a href="{% url 'core:delete_product' product.id %}" class="btn btn-outline-danger"> Borrar </a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>    

{% endblock content %}